Send interactive carousel message
curl --request POST \
--url https://messenger-public-api.cogfy.com/messages/interactive/carousel \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"from": "<string>",
"to": "<string>",
"interactive": {
"body": {
"text": "<string>"
},
"action": {
"cards": [
{
"card_index": 123,
"type": "cta_url",
"header": {
"text": "<string>",
"image": {
"link": "<string>"
}
},
"action": {
"name": "cta_url",
"buttons": [
{
"type": "quick_reply",
"quick_reply": {
"id": "<string>",
"title": "<string>"
}
}
]
}
}
]
},
"type": "carousel"
}
}
'import requests
url = "https://messenger-public-api.cogfy.com/messages/interactive/carousel"
payload = {
"from": "<string>",
"to": "<string>",
"interactive": {
"body": { "text": "<string>" },
"action": { "cards": [
{
"card_index": 123,
"type": "cta_url",
"header": {
"text": "<string>",
"image": { "link": "<string>" }
},
"action": {
"name": "cta_url",
"buttons": [
{
"type": "quick_reply",
"quick_reply": {
"id": "<string>",
"title": "<string>"
}
}
]
}
}
] },
"type": "carousel"
}
}
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: '<string>',
interactive: {
body: JSON.stringify({text: '<string>'}),
action: {
cards: [
{
card_index: 123,
type: 'cta_url',
header: {text: '<string>', image: {link: '<string>'}},
action: {
name: 'cta_url',
buttons: [{type: 'quick_reply', quick_reply: {id: '<string>', title: '<string>'}}]
}
}
]
},
type: 'carousel'
}
})
};
fetch('https://messenger-public-api.cogfy.com/messages/interactive/carousel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"code": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"code": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"code": 123
}Messages
Send interactive carousel message
Sends up to 10 cards, each with its own header and action.
Requires an open service window: the recipient must have messaged the business in the last 24 hours. Use POST /messages/template to reach recipients outside that window.
POST
/
messages
/
interactive
/
carousel
Send interactive carousel message
Authorizations
Body
application/json
Response
Message sent successfully
Id of the created message
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I